Summary:        PEAR: Horde command-line argument parsing package

Name:           php-pear-Horde-Argv
Version:        2.0.10
Release:        1.lux.1
License:        BSD-2-Clause
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_Argv-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_Argv
BuildRequires:	php-pear >= 1.7.0
BuildRequires:  php-pear-channel-horde
Requires:       php-pear-channel-horde
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
Requires:	php-pear-Horde-Translation >= 2.2.0
Requires:	php-pear-Horde-Translation <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Translation = 3.0.0alpha1
BuildArch:      noarch
%define pear_name  Horde_Argv
%define pear_sname horde_argv
# Fix for renaming (package convention)
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
This package provides classes for parsing command line arguments with
various actions, providing help, grouping options, and more.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/%{pear_name} ] && mv %{buildroot}/%{_docdir}/%{pear_name} %{buildroot}/%{_docdir}/%{name}-%{version}

# Clean up unnecessary files
rm -rf {%{buildroot}%{pear_phpdir}/.channels,%{buildroot}%{pear_phpdir}/.filemap,%{buildroot}%{pear_phpdir}/.lock,%{buildroot}%{pear_phpdir}/.depdb,%{buildroot}%{pear_phpdir}/.registry,%{buildroot}%{pear_phpdir}/.depdblock}

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/Horde_Argv.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/Horde_Argv.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Argv
fi

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{pear_phpdir}/data/%{pear_name}
%{pear_phpdir}/test/%{pear_name}
%{pear_phpdir}/Horde/*
%{pear_xmldir}/Horde_Argv.xml

%changelog
